LoadPackage("atlasrep");

fusions := function(ct2, ct1)
  local fus, t;

  fus := FusionConjugacyClasses(ct2, ct1);
  if not fus = fail then
    for t in [1..Size(fus)] do
      Print(ClassNames(ct2)[t], " --> ", ClassNames(ct1)[fus[t]], "\n");
    od;
  else
    for fus in PossibleClassFusions(ct2, ct1) do
      for t in [1..Size(fus)] do
        Print(ClassNames(ct2)[t], " --> ", ClassNames(ct1)[fus[t]], ";\n");
      od;
      Print("--\n");
    od;
  fi;
end;
    
LogTo("step8.log");

Print("Fusion of conjugacy classes: HN --> M\n");
fusions(CharacterTable("HN"), CharacterTable("M"));


